package config

type (
	TCPServerConf struct {
		// Protocol 协议名
		// "tcp", "tcp4", "tcp6", "unix" or "unixpacket"
		// 若只想开启IPv4, 使用tcp4即可
		Protocol string `json:",default=tcp4,env=TCP_PROTOCOL"`
		// Addr 服务地址
		// 地址可直接使用hostname,但强烈不建议这样做,可能会同时监听多个本地IP
		// 如果端口号不填或端口号为0，例如："127.0.0.1:" 或 ":0"，服务端将选择随机可用端口
		Addr string `json:",default=0.0.0.0:9876,env=TCP_ADDR"`
	}
)
